Update PostgreSQL database configuration
curl --request PATCH \
--url https://api.ubicloud.com/project/{project_id}/location/{location}/postgres/{postgres_database_reference}/config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pg_config": {
"max_connections": "100"
},
"pgbouncer_config": {
"max_client_conn": "100"
}
}
'import requests
url = "https://api.ubicloud.com/project/{project_id}/location/{location}/postgres/{postgres_database_reference}/config"
payload = {
"pg_config": { "max_connections": "100" },
"pgbouncer_config": { "max_client_conn": "100" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pg_config: {max_connections: '100'},
pgbouncer_config: {max_client_conn: '100'}
})
};
fetch('https://api.ubicloud.com/project/{project_id}/location/{location}/postgres/{postgres_database_reference}/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pg_config": {
"max_connections": "100"
},
"pgbouncer_config": {
"max_client_conn": "100"
},
"default_pg_config": {},
"message": "<string>"
}{
"error": {
"code": 401,
"message": "There was an error logging in",
"type": "InvalidCredentials",
"details": {}
}
}Postgres Database
Update PostgreSQL database configuration
PATCH
/
project
/
{project_id}
/
location
/
{location}
/
postgres
/
{postgres_database_reference}
/
config
Update PostgreSQL database configuration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the project
Pattern:
^pj[0-9a-hj-km-np-tv-z]{24}$Example:
"pjkkmx0f2vke4h36nk9cm8v8q0"
The Ubicloud location/region
Example:
"eu-central-h1"
Postgres database ID or name Resource ID or name
Pattern:
^[a-z0-9](?:[a-z0-9\-]{0,61}[a-z0-9])?$Body
application/json
Response
Successful response
Show child attributes
Show child attributes
Example:
{ "max_connections": "100" }
Show child attributes
Show child attributes
Example:
{ "max_client_conn": "100" }
System-computed configuration values based on instance size. User overrides in pg_config take precedence.
Show child attributes
Show child attributes
Informational message about the configuration update, such as restart requirements.
⌘I